package com.goer.project.model.modelProject.service;

import java.util.List;
import com.goer.project.model.modelProject.domain.ModelProject;

/**
 * 模型对象Service接口
 * 
 * @author goer
 * @date 2022-01-17
 */
public interface IModelProjectService 
{
    /**
     * 查询模型对象
     * 
     * @param id 模型对象主键
     * @return 模型对象
     */
    public ModelProject selectModelProjectById(Long id);

    /**
     * 查询模型对象列表
     * 
     * @param modelProject 模型对象
     * @return 模型对象集合
     */
    public List<ModelProject> selectModelProjectList(ModelProject modelProject);

    /**
     * 新增模型对象
     * 
     * @param modelProject 模型对象
     * @return 结果
     */
    public int insertModelProject(ModelProject modelProject);

    /**
     * 修改模型对象
     * 
     * @param modelProject 模型对象
     * @return 结果
     */
    public int updateModelProject(ModelProject modelProject);

    /**
     * 批量删除模型对象
     * 
     * @param ids 需要删除的模型对象主键集合
     * @return 结果
     */
    public int deleteModelProjectByIds(String ids);

    /**
     * 删除模型对象信息
     * 
     * @param id 模型对象主键
     * @return 结果
     */
    public int deleteModelProjectById(Long id);
}
